<?
include("menu.php");
//Vi får fat i informationerne fra formen længere nede

//Og kører strip_tags() for at forhindre ubehagelig koder i emailen

$afsender = $_POST["afsender"];

$afsender = strip_tags($afsender);

$emne = $_POST["emne"];

$emne = strip_tags($emne);

$msg = $_POST["msg"];



//Her bruger vi htmlentities() i stedet for strip_tags() htmlentities() udfører ikke koder men viser dem i stedet

$msg = htmlentities($msg);



//$mode er med til at tjekke om den skal sende en mail, eller om den skal vise formen

$mode = $_GET["mode"];





//Vi tjekker om $mode er lig med "send"

//Hvis den er så skal den sende en mail

if($mode == "send"){



//Tjekker om alle felter er udfyldt

if(!empty($afsender) && !empty($emne) && !empty($msg)){



//Udskift DIN@MAIL.DK med din egen email adresse

//Vi sætter variablerne fra formen, ind på deres rigtige plads(parameterne er forklaret øverst i artiklen)

mail("webmaster@kaaz.dk", "".$emne."", "".$msg."", "From:".$afsender."");



//Udskriver en besked om at mailen er sendt

echo "Din mail er nu afsendt, og vil blive besvaret så hurtigt som muligt.";

} else {



//Hvis ikke alle felter var udfyldt skal den brokke sig

echo "Du skal udfylde alle felter.";

}



//Hvis $mode ikke var lig med "send" så skal den vise formen

} else {

?>

Kontakt

<br>



<!-- En ganske almindelig form, som du burde kunne finde ud af før du går igang med dette her -->

<form action="mail.php?mode=send" method="POST">

Din mail:<br>

<input type="text" name="afsender"><br>

Emne:<br>

<input type="text" name="emne"><br>

Besked:<br>

<textarea name="msg" rows="5" cols="25"></textarea><br>

<input type="submit" value="Send">

</form>

<?



//Hvis afslutter vores if() vedrørende $mode

}

?>